Class WafAcfpConfig

java.lang.Object
software.amazon.awssdk.services.lightsail.model.WafAcfpConfig
All Implemented Interfaces:
Serializable, SdkPojo, ToCopyableBuilder<WafAcfpConfig.Builder,WafAcfpConfig>

@Generated("software.amazon.awssdk:codegen") public final class WafAcfpConfig extends Object implements SdkPojo, Serializable, ToCopyableBuilder<WafAcfpConfig.Builder,WafAcfpConfig>

Describes the configuration of the account creation fraud prevention Web Application Firewall (WAF) rule group. The rule group inspects account creation requests to your application.

See Also:
  • Method Details

    • payloadType

      public final WafPayloadTypeEnum payloadType()

      The content type of the request body of account creation requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      If the service returns an enum value that is not available in the current SDK version, payloadType will return WafPayloadTypeEnum.UNKNOWN_TO_SDK_VERSION. The raw value returned by the service is available from payloadTypeAsString().

      Returns:
      The content type of the request body of account creation requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      See Also:
    • payloadTypeAsString

      public final String payloadTypeAsString()

      The content type of the request body of account creation requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      If the service returns an enum value that is not available in the current SDK version, payloadType will return WafPayloadTypeEnum.UNKNOWN_TO_SDK_VERSION. The raw value returned by the service is available from payloadTypeAsString().

      Returns:
      The content type of the request body of account creation requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      See Also:
    • creationPath

      public final String creationPath()

      The path of the endpoint that accepts completed account creation forms (for example, /signup/submit ). This endpoint must accept POST requests.

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Returns:
      The path of the endpoint that accepts completed account creation forms (for example, /signup/submit). This endpoint must accept POST requests.

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

    • registrationPagePath

      public final String registrationPagePath()

      The path of the page that displays the account creation form (for example, /signup).

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Returns:
      The path of the page that displays the account creation form (for example, /signup).

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

    • responseInspection

      public final WafResponseInspection responseInspection()

      An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.

      Returns:
      An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.
    • toBuilder

      public WafAcfpConfig.Builder toBuilder()
      Description copied from interface: ToCopyableBuilder
      Take this object and create a builder that contains all of the current property values of this object.
      Specified by:
      toBuilder in interface ToCopyableBuilder<WafAcfpConfig.Builder,WafAcfpConfig>
      Returns:
      a builder for type T
    • builder

      public static WafAcfpConfig.Builder builder()
    • serializableBuilderClass

      public static Class<? extends WafAcfpConfig.Builder> serializableBuilderClass()
    • hashCode

      public final int hashCode()
      Overrides:
      hashCode in class Object
    • equals

      public final boolean equals(Object obj)
      Overrides:
      equals in class Object
    • equalsBySdkFields

      public final boolean equalsBySdkFields(Object obj)
      Description copied from interface: SdkPojo
      Indicates whether some other object is "equal to" this one by SDK fields. An SDK field is a modeled, non-inherited field in an SdkPojo class, and is generated based on a service model.

      If an SdkPojo class does not have any inherited fields, equalsBySdkFields and equals are essentially the same.

      Specified by:
      equalsBySdkFields in interface SdkPojo
      Parameters:
      obj - the object to be compared with
      Returns:
      true if the other object equals to this object by sdk fields, false otherwise.
    • toString

      public final String toString()
      Returns a string representation of this object. This is useful for testing and debugging. Sensitive data will be redacted from this string using a placeholder value.
      Overrides:
      toString in class Object
    • getValueForField

      public final <T> Optional<T> getValueForField(String fieldName, Class<T> clazz)
    • sdkFields

      public final List<SdkField<?>> sdkFields()
      Specified by:
      sdkFields in interface SdkPojo
      Returns:
      List of SdkField in this POJO. May be empty list but should never be null.
    • sdkFieldNameToField

      public final Map<String,SdkField<?>> sdkFieldNameToField()
      Specified by:
      sdkFieldNameToField in interface SdkPojo
      Returns:
      The mapping between the field name and its corresponding field.